Description

Bulk attachments download for issues has been implemented in Redmine 4.2.0 (#7056). However, sometimes I want to download all

attachments of a journal, not an issue.

For example, suppose that an issue already has dozens of files. In the most recent update, your colleague has attached 5 more files.

In this case, it is not uncommon to want to download only the latest 5 files.

I believe that bulk downloading of files for each journal is a very useful feature.

 bulk-download-journal-attachments.png 

Related issues:

Related to Redmine - Feature #7056: Download all attachments at once Closed 2010-12-06

Related to Redmine - Defect #37130: Wiki notation `attachment:file_name` cann... Closed

Associated revisions

Revision 21292 - 2021-11-22 09:42 - Go MAEDA

Download all attachments in a journal (#35462).

Patch by Takenori TAKAKI.

Revision 21605 - 2022-05-26 17:36 - Go MAEDA

Wiki notation `attachment:file_name` cannot make a link to a file attached to other journals (#35462).

Patch by Mizuki ISHIKAWA.

History

#1 - 2021-06-25 03:51 - Go MAEDA

- Related to Feature #7056: Download all attachments at once added

#2 - 2021-07-19 04:43 - Takenori TAKAKI

- File 35462.png added

- File 35462.patch added

I think this feature is very useful!

I made a patch to implement this feature.

After applying the patch, a download link will appear in the context menu as shown below.
https://www.redmine.org/issues/7056


35462.png 

#3 - 2021-07-28 08:48 - Takenori TAKAKI

- File 35462-2.png added

- File 35462-2.patch added

I made a different version of the patch from #note-2.

It displays the download links by journal, just like the Files field in the issue view, As shown in the screenshot below.
#4 - 2021-08-03 09:00 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2021-08-16 15:19 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#6 - 2021-08-16 23:50 - Marius BĂLTEANU

IMHO, if we really want to add this feature, I'm in favour of adding the download link under the action as Takenori proposed first time from two

reasons:

1. downloading all the attachments in a journal is not an usual operation as you already mentioned in the issue description "sometimes".

2. we should keep the actions grouped in a logical way: we have the common actions displayed and less common actions under the dropdown. In

the files section it make sense to display the "Download all" action next to edit icon because only those two actions are. In the future, if we add a

new action related to the Files section, we will add the actions dropdown to incorporate the new item.

Maybe we should get more feedback on this as we did for other issues. I'm just worried about adding new icons in the UI that are always displayed.

#7 - 2021-08-17 08:06 - Mischa The Evil

Marius BALTEANU wrote:

IMHO, if we really want to add this feature, I'm in favour of adding the download link under the action as Takenori proposed first time from two

reasons [...]

 I agree with this.

#8 - 2021-08-17 08:25 - Go MAEDA

I think it is a good idea to move the download link into the drop-down menu. It also solves the small problem that the download button is not very

prominent and somewhat hard to find.

However, if the dropdown menu for a journal has the link, I think the dropdown menu for an issue also should have the link for the consistency of the

user interface. This allows users to download all files with the same operation (click the dropdown menu -> click "Download all files") for both issues

and journals.

This means that:

Download all attachments for a journal can be invoked from the dropdown menu

Download all attachments for an issue can be invoked by two ways, from the existing download button and the dropdown menu

#9 - 2021-09-06 21:06 - Marius BĂLTEANU

Go MAEDA wrote:

Download all attachments for an issue can be invoked by two ways, from the existing download button and the dropdown menu

 I think we should keep only the download icon.

#10 - 2021-11-22 09:44 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Now the context menu for a journal has a "Download all files" menuitem.

#11 - 2022-05-26 16:42 - Go MAEDA

- Related to Defect #37130: Wiki notation `attachment:file_name` cannot make a link to a file attached to other journals added

Files
bulk-download-journal-attachments.png 198 KB 2021-06-25 Go MAEDA

35462.png 140 KB 2021-07-19 Takenori TAKAKI

35462.patch 5.38 KB 2021-07-19 Takenori TAKAKI

35462-2.png 393 KB 2021-07-28 Takenori TAKAKI

35462-2.patch 5.72 KB 2021-07-28 Takenori TAKAKI
